# Uses of Interface
org.eclipse.birt.chart.model.attribute.Angle3D

Packages that use Angle3D
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of Angle3D in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation with parameters of type Angle3D
Modifier and Type
Method
Description
`void`
Vector.`rotate(Angle3D angle)`

## Uses of Angle3D in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Angle3D
Modifier and Type
Method
Description
`Angle3D`
Angle3D.`copyInstance()`
`Angle3D`
AttributeFactory.`createAngle3D()`
Returns a new object of class 'Angle3 D'.
Methods in org.eclipse.birt.chart.model.attribute that return types with arguments of type Angle3D
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Angle3D>`
Rotation3D.`getAngles()`
Returns the value of the 'Angles' containment reference list.

## Uses of Angle3D in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Angle3D
Modifier and Type
Class
Description
`class`
`Angle3DImpl`
An implementation of the model object 'Angle3 D'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Angle3D
Modifier and Type
Method
Description
`Angle3D`
Angle3DImpl.`copyInstance()`
A convenient method to get an instance copy.
`static Angle3D`
Angle3DImpl.`create(double x, double y, double z)`
`Angle3D`
AttributeFactoryImpl.`createAngle3D()`
`static Angle3D`
Angle3DImpl.`createDefault(double x, double y, double z)`
`static Angle3D`
Angle3DImpl.`createX(double val)`
`static Angle3D`
Angle3DImpl.`createY(double val)`
`static Angle3D`
Angle3DImpl.`createZ(double val)`
Methods in org.eclipse.birt.chart.model.attribute.impl that return types with arguments of type Angle3D
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Angle3D>`
Rotation3DImpl.`getAngles()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Angle3D
Modifier and Type
Method
Description
`static Rotation3D`
Rotation3DImpl.`create(Angle3D[] ala)`
Creates a Rotation3D object using given Angle3D array.
`static Rotation3D`
Rotation3DImpl.`createDefault(Angle3D[] ala)`
Creates a Rotation3D object using given Angle3D array.